Makefile 41 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_access/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2009 Thorsten Kukuk <kukuk@thkukuk.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. subdir = modules/pam_access
  89. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  90. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  91. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  92. $(top_srcdir)/m4/intlmacosx.m4 \
  93. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  94. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  95. $(top_srcdir)/m4/ld-no-undefined.m4 \
  96. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  97. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  98. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  99. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  100. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  101. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  102. $(top_srcdir)/m4/progtest.m4 \
  103. $(top_srcdir)/m4/warn_lang_flags.m4 \
  104. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  105. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  106. $(ACLOCAL_M4)
  107. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  108. $(am__dist_noinst_DATA_DIST) $(dist_secureconf_DATA) \
  109. $(am__DIST_COMMON)
  110. mkinstalldirs = $(install_sh) -d
  111. CONFIG_HEADER = $(top_builddir)/config.h
  112. CONFIG_CLEAN_FILES =
  113. CONFIG_CLEAN_VPATH_FILES =
  114. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  115. am__vpath_adj = case $$p in \
  116. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  117. *) f=$$p;; \
  118. esac;
  119. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  120. am__install_max = 40
  121. am__nobase_strip_setup = \
  122. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  123. am__nobase_strip = \
  124. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  125. am__nobase_list = $(am__nobase_strip_setup); \
  126. for p in $$list; do echo "$$p $$p"; done | \
  127. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  128. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  129. if (++n[$$2] == $(am__install_max)) \
  130. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  131. END { for (dir in files) print dir, files[dir] }'
  132. am__base_list = \
  133. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  134. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  135. am__uninstall_files_from_dir = { \
  136. test -z "$$files" \
  137. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  138. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  139. $(am__cd) "$$dir" && rm -f $$files; }; \
  140. }
  141. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" \
  142. "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"
  143. LTLIBRARIES = $(securelib_LTLIBRARIES)
  144. pam_access_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  145. pam_access_la_SOURCES = pam_access.c
  146. pam_access_la_OBJECTS = pam_access.lo
  147. AM_V_lt = $(am__v_lt_$(V))
  148. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  149. am__v_lt_0 = --silent
  150. am__v_lt_1 =
  151. AM_V_P = $(am__v_P_$(V))
  152. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  153. am__v_P_0 = false
  154. am__v_P_1 = :
  155. AM_V_GEN = $(am__v_GEN_$(V))
  156. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  157. am__v_GEN_0 = @echo " GEN " $@;
  158. am__v_GEN_1 =
  159. AM_V_at = $(am__v_at_$(V))
  160. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  161. am__v_at_0 = @
  162. am__v_at_1 =
  163. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  164. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  165. am__maybe_remake_depfiles = depfiles
  166. am__depfiles_remade = ./$(DEPDIR)/pam_access.Plo
  167. am__mv = mv -f
  168. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  169. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  170. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  171. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  172. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  173. $(AM_CFLAGS) $(CFLAGS)
  174. AM_V_CC = $(am__v_CC_$(V))
  175. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  176. am__v_CC_0 = @echo " CC " $@;
  177. am__v_CC_1 =
  178. CCLD = $(CC)
  179. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  180. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  181. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  182. AM_V_CCLD = $(am__v_CCLD_$(V))
  183. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  184. am__v_CCLD_0 = @echo " CCLD " $@;
  185. am__v_CCLD_1 =
  186. SOURCES = pam_access.c
  187. DIST_SOURCES = pam_access.c
  188. am__can_run_installinfo = \
  189. case $$AM_UPDATE_INFO_DIR in \
  190. n|no|NO) false;; \
  191. *) (install-info --version) >/dev/null 2>&1;; \
  192. esac
  193. man5dir = $(mandir)/man5
  194. man8dir = $(mandir)/man8
  195. NROFF = nroff
  196. MANS = $(dist_man_MANS)
  197. am__dist_noinst_DATA_DIST = README
  198. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA)
  199. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  200. # Read a list of newline-separated strings from the standard input,
  201. # and print each of them once, without duplicates. Input order is
  202. # *not* preserved.
  203. am__uniquify_input = $(AWK) '\
  204. BEGIN { nonempty = 0; } \
  205. { items[$$0] = 1; nonempty = 1; } \
  206. END { if (nonempty) { for (i in items) print i; }; } \
  207. '
  208. # Make sure the list of sources is unique. This is necessary because,
  209. # e.g., the same source file might be shared among _SOURCES variables
  210. # for different programs/libraries.
  211. am__define_uniq_tagged_files = \
  212. list='$(am__tagged_files)'; \
  213. unique=`for i in $$list; do \
  214. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  215. done | $(am__uniquify_input)`
  216. ETAGS = etags
  217. CTAGS = ctags
  218. am__tty_colors_dummy = \
  219. mgn= red= grn= lgn= blu= brg= std=; \
  220. am__color_tests=no
  221. am__tty_colors = { \
  222. $(am__tty_colors_dummy); \
  223. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  224. am__color_tests=no; \
  225. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  226. am__color_tests=yes; \
  227. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  228. am__color_tests=yes; \
  229. fi; \
  230. if test $$am__color_tests = yes; then \
  231. red=''; \
  232. grn=''; \
  233. lgn=''; \
  234. blu=''; \
  235. mgn=''; \
  236. brg=''; \
  237. std=''; \
  238. fi; \
  239. }
  240. am__recheck_rx = ^[ ]*:recheck:[ ]*
  241. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  242. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  243. # A command that, given a newline-separated list of test names on the
  244. # standard input, print the name of the tests that are to be re-run
  245. # upon "make recheck".
  246. am__list_recheck_tests = $(AWK) '{ \
  247. recheck = 1; \
  248. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  249. { \
  250. if (rc < 0) \
  251. { \
  252. if ((getline line2 < ($$0 ".log")) < 0) \
  253. recheck = 0; \
  254. break; \
  255. } \
  256. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  257. { \
  258. recheck = 0; \
  259. break; \
  260. } \
  261. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  262. { \
  263. break; \
  264. } \
  265. }; \
  266. if (recheck) \
  267. print $$0; \
  268. close ($$0 ".trs"); \
  269. close ($$0 ".log"); \
  270. }'
  271. # A command that, given a newline-separated list of test names on the
  272. # standard input, create the global log from their .trs and .log files.
  273. am__create_global_log = $(AWK) ' \
  274. function fatal(msg) \
  275. { \
  276. print "fatal: making $@: " msg | "cat >&2"; \
  277. exit 1; \
  278. } \
  279. function rst_section(header) \
  280. { \
  281. print header; \
  282. len = length(header); \
  283. for (i = 1; i <= len; i = i + 1) \
  284. printf "="; \
  285. printf "\n\n"; \
  286. } \
  287. { \
  288. copy_in_global_log = 1; \
  289. global_test_result = "RUN"; \
  290. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  291. { \
  292. if (rc < 0) \
  293. fatal("failed to read from " $$0 ".trs"); \
  294. if (line ~ /$(am__global_test_result_rx)/) \
  295. { \
  296. sub("$(am__global_test_result_rx)", "", line); \
  297. sub("[ ]*$$", "", line); \
  298. global_test_result = line; \
  299. } \
  300. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  301. copy_in_global_log = 0; \
  302. }; \
  303. if (copy_in_global_log) \
  304. { \
  305. rst_section(global_test_result ": " $$0); \
  306. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  307. { \
  308. if (rc < 0) \
  309. fatal("failed to read from " $$0 ".log"); \
  310. print line; \
  311. }; \
  312. printf "\n"; \
  313. }; \
  314. close ($$0 ".trs"); \
  315. close ($$0 ".log"); \
  316. }'
  317. # Restructured Text title.
  318. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  319. # Solaris 10 'make', and several other traditional 'make' implementations,
  320. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  321. # by disabling -e (using the XSI extension "set +e") if it's set.
  322. am__sh_e_setup = case $$- in *e*) set +e;; esac
  323. # Default flags passed to test drivers.
  324. am__common_driver_flags = \
  325. --color-tests "$$am__color_tests" \
  326. --enable-hard-errors "$$am__enable_hard_errors" \
  327. --expect-failure "$$am__expect_failure"
  328. # To be inserted before the command running the test. Creates the
  329. # directory for the log if needed. Stores in $dir the directory
  330. # containing $f, in $tst the test, in $log the log. Executes the
  331. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  332. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  333. # will run the test scripts (or their associated LOG_COMPILER, if
  334. # thy have one).
  335. am__check_pre = \
  336. $(am__sh_e_setup); \
  337. $(am__vpath_adj_setup) $(am__vpath_adj) \
  338. $(am__tty_colors); \
  339. srcdir=$(srcdir); export srcdir; \
  340. case "$@" in \
  341. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  342. *) am__odir=.;; \
  343. esac; \
  344. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  345. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  346. if test -f "./$$f"; then dir=./; \
  347. elif test -f "$$f"; then dir=; \
  348. else dir="$(srcdir)/"; fi; \
  349. tst=$$dir$$f; log='$@'; \
  350. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  351. am__enable_hard_errors=no; \
  352. else \
  353. am__enable_hard_errors=yes; \
  354. fi; \
  355. case " $(XFAIL_TESTS) " in \
  356. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  357. am__expect_failure=yes;; \
  358. *) \
  359. am__expect_failure=no;; \
  360. esac; \
  361. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  362. # A shell command to get the names of the tests scripts with any registered
  363. # extension removed (i.e., equivalently, the names of the test logs, with
  364. # the '.log' extension removed). The result is saved in the shell variable
  365. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  366. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  367. # since that might cause problem with VPATH rewrites for suffix-less tests.
  368. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  369. am__set_TESTS_bases = \
  370. bases='$(TEST_LOGS)'; \
  371. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  372. bases=`echo $$bases`
  373. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  374. RECHECK_LOGS = $(TEST_LOGS)
  375. AM_RECURSIVE_TARGETS = check recheck
  376. TEST_SUITE_LOG = test-suite.log
  377. TEST_EXTENSIONS = .test
  378. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  379. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  380. am__set_b = \
  381. case '$@' in \
  382. */*) \
  383. case '$*' in \
  384. */*) b='$*';; \
  385. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  386. esac;; \
  387. *) \
  388. b='$*';; \
  389. esac
  390. am__test_logs1 = $(TESTS:=.log)
  391. am__test_logs2 = $(am__test_logs1:.log=.log)
  392. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  393. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  394. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  395. $(TEST_LOG_FLAGS)
  396. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  397. $(top_srcdir)/build-aux/depcomp \
  398. $(top_srcdir)/build-aux/test-driver
  399. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  400. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  401. AMTAR = $${TAR-tar}
  402. AM_DEFAULT_VERBOSITY = 1
  403. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  404. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  405. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  406. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  407. AWK = gawk
  408. BROWSER =
  409. BUILD_CFLAGS =
  410. BUILD_CPPFLAGS =
  411. BUILD_LDFLAGS =
  412. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  413. CCDEPMODE = depmode=gcc3
  414. CC_FOR_BUILD = gcc
  415. CFLAGS = -g -O2
  416. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  417. CPPFLAGS =
  418. CRYPTO_LIBS =
  419. CRYPT_CFLAGS =
  420. CRYPT_LIBS = -lcrypt
  421. CYGPATH_W = echo
  422. DEFS = -DHAVE_CONFIG_H
  423. DEPDIR = .deps
  424. DLLTOOL = false
  425. DSYMUTIL =
  426. DUMPBIN = :
  427. ECHO_C =
  428. ECHO_N = -n
  429. ECHO_T =
  430. ECONF_CFLAGS =
  431. ECONF_LIBS =
  432. EGREP = /bin/grep -E
  433. EXEEXT =
  434. EXE_CFLAGS = -fpie
  435. EXE_LDFLAGS = -pie -Wl,-z,now
  436. FGREP = /bin/grep -F
  437. FO2PDF =
  438. GETTEXT_MACRO_VERSION = 0.18
  439. GMSGFMT = /usr/bin/msgfmt
  440. GMSGFMT_015 = /usr/bin/msgfmt
  441. GREP = /bin/grep
  442. INSTALL = /usr/bin/install -c
  443. INSTALL_DATA = ${INSTALL} -m 644
  444. INSTALL_PROGRAM = ${INSTALL}
  445. INSTALL_SCRIPT = ${INSTALL}
  446. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  447. INTLLIBS =
  448. INTL_MACOSX_LIBS =
  449. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  450. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  451. LEX = flex
  452. LEXLIB = -lfl
  453. LEX_OUTPUT_ROOT = lex.yy
  454. LIBAUDIT =
  455. LIBCRYPT = -lcrypt
  456. LIBDB =
  457. LIBDL = -ldl
  458. LIBICONV = -liconv
  459. LIBINTL =
  460. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  461. LIBPRELUDE_CFLAGS =
  462. LIBPRELUDE_CONFIG = no
  463. LIBPRELUDE_CONFIG_PREFIX =
  464. LIBPRELUDE_LDFLAGS =
  465. LIBPRELUDE_LIBS =
  466. LIBPRELUDE_PREFIX =
  467. LIBPRELUDE_PTHREAD_CFLAGS =
  468. LIBS =
  469. LIBSELINUX =
  470. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  471. LIPO =
  472. LN_S = ln -s
  473. LTLIBICONV = -liconv
  474. LTLIBINTL =
  475. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  476. LT_SYS_LIBRARY_PATH =
  477. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  478. MANIFEST_TOOL = :
  479. MKDIR_P = /bin/mkdir -p
  480. MSGFMT = /usr/bin/msgfmt
  481. MSGFMT_015 = /usr/bin/msgfmt
  482. MSGMERGE = /usr/bin/msgmerge
  483. NIS_CFLAGS =
  484. NIS_LIBS =
  485. NM = nm
  486. NMEDIT =
  487. NSL_CFLAGS =
  488. NSL_LIBS = -lnsl
  489. OBJDUMP = objdump
  490. OBJEXT = o
  491. OTOOL =
  492. OTOOL64 =
  493. PACKAGE = Linux-PAM
  494. PACKAGE_BUGREPORT =
  495. PACKAGE_NAME = Linux-PAM
  496. PACKAGE_STRING = Linux-PAM 1.5.2
  497. PACKAGE_TARNAME = Linux-PAM
  498. PACKAGE_URL =
  499. PACKAGE_VERSION = 1.5.2
  500. PATH_SEPARATOR = :
  501. PKG_CONFIG = /usr/bin/pkg-config
  502. PKG_CONFIG_LIBDIR =
  503. PKG_CONFIG_PATH =
  504. POSUB = po
  505. RANLIB = ranlib
  506. SCONFIGDIR = ${prefix}/etc/security
  507. SECUREDIR = ${exec_prefix}/lib/security
  508. SED = /bin/sed
  509. SET_MAKE =
  510. SHELL = /bin/bash
  511. STRINGPARAM_HMAC =
  512. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  513. STRIP = strip
  514. TIRPC_CFLAGS =
  515. TIRPC_LIBS =
  516. USE_NLS = yes
  517. VERSION = 1.5.2
  518. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  519. XGETTEXT = /usr/bin/xgettext
  520. XGETTEXT_015 = /usr/bin/xgettext
  521. XGETTEXT_EXTRA_OPTIONS =
  522. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  523. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  524. XML_CATALOG_FILE = /etc/xml/catalog
  525. XSLTPROC = /usr/bin/xsltproc
  526. YACC = bison -y
  527. YFLAGS =
  528. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_access
  529. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_access
  530. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  531. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  532. ac_ct_AR =
  533. ac_ct_CC =
  534. ac_ct_DUMPBIN = link -dump
  535. am__include = include
  536. am__leading_dot = .
  537. am__quote =
  538. am__tar = $${TAR-tar} chof - "$$tardir"
  539. am__untar = $${TAR-tar} xf -
  540. bindir = ${exec_prefix}/bin
  541. build = x86_64-pc-linux-gnu
  542. build_alias =
  543. build_cpu = x86_64
  544. build_os = linux-gnu
  545. build_vendor = pc
  546. builddir = .
  547. datadir = ${datarootdir}
  548. datarootdir = ${prefix}/share
  549. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  550. dvidir = ${docdir}
  551. exec_prefix = ${prefix}
  552. host = arm-unknown-linux-gnueabihf
  553. host_alias = arm-linux-gnueabihf
  554. host_cpu = arm
  555. host_os = linux-gnueabihf
  556. host_vendor = unknown
  557. htmldir = ${docdir}
  558. includedir = ${prefix}/include
  559. infodir = ${datarootdir}/info
  560. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  561. libdir = ${exec_prefix}/lib
  562. libexecdir = ${exec_prefix}/libexec
  563. localedir = ${datarootdir}/locale
  564. localstatedir = ${prefix}/var
  565. mandir = ${datarootdir}/man
  566. mkdir_p = $(MKDIR_P)
  567. oldincludedir = /usr/include
  568. pam_xauth_path = /usr/bin/xauth
  569. pdfdir = ${docdir}
  570. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  571. program_transform_name = s,x,x,
  572. psdir = ${docdir}
  573. sbindir = ${exec_prefix}/sbin
  574. sharedstatedir = ${prefix}/com
  575. srcdir = .
  576. sysconfdir = ${prefix}/etc
  577. systemdunitdir =
  578. target_alias =
  579. top_build_prefix = ../../
  580. top_builddir = ../..
  581. top_srcdir = ../..
  582. CLEANFILES = *~
  583. MAINTAINERCLEANFILES = $(MANS) README
  584. EXTRA_DIST = $(XMLS)
  585. #dist_man_MANS = access.conf.5 pam_access.8
  586. XMLS = README.xml access.conf.5.xml pam_access.8.xml
  587. dist_check_SCRIPTS = tst-pam_access
  588. TESTS = $(dist_check_SCRIPTS)
  589. securelibdir = $(SECUREDIR)
  590. secureconfdir = $(SCONFIGDIR)
  591. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  592. -DPAM_ACCESS_CONFIG=\"$(SCONFIGDIR)/access.conf\" \
  593. -DACCESS_CONF_GLOB=\"$(SCONFIGDIR)/access.d/*.conf\" $(WARN_CFLAGS)
  594. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  595. securelib_LTLIBRARIES = pam_access.la
  596. pam_access_la_LIBADD = $(top_builddir)/libpam/libpam.la
  597. dist_secureconf_DATA = access.conf
  598. #dist_noinst_DATA = README
  599. all: all-am
  600. .SUFFIXES:
  601. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  602. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  603. @for dep in $?; do \
  604. case '$(am__configure_deps)' in \
  605. *$$dep*) \
  606. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  607. && { if test -f $@; then exit 0; else break; fi; }; \
  608. exit 1;; \
  609. esac; \
  610. done; \
  611. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_access/Makefile'; \
  612. $(am__cd) $(top_srcdir) && \
  613. $(AUTOMAKE) --gnu modules/pam_access/Makefile
  614. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  615. @case '$?' in \
  616. *config.status*) \
  617. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  618. *) \
  619. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  620. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  621. esac;
  622. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  623. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  624. $(top_srcdir)/configure: $(am__configure_deps)
  625. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  626. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  627. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  628. $(am__aclocal_m4_deps):
  629. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  630. @$(NORMAL_INSTALL)
  631. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  632. list2=; for p in $$list; do \
  633. if test -f $$p; then \
  634. list2="$$list2 $$p"; \
  635. else :; fi; \
  636. done; \
  637. test -z "$$list2" || { \
  638. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  639. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  640. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  641. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  642. }
  643. uninstall-securelibLTLIBRARIES:
  644. @$(NORMAL_UNINSTALL)
  645. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  646. for p in $$list; do \
  647. $(am__strip_dir) \
  648. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  649. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  650. done
  651. clean-securelibLTLIBRARIES:
  652. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  653. @list='$(securelib_LTLIBRARIES)'; \
  654. locs=`for p in $$list; do echo $$p; done | \
  655. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  656. sort -u`; \
  657. test -z "$$locs" || { \
  658. echo rm -f $${locs}; \
  659. rm -f $${locs}; \
  660. }
  661. pam_access.la: $(pam_access_la_OBJECTS) $(pam_access_la_DEPENDENCIES) $(EXTRA_pam_access_la_DEPENDENCIES)
  662. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_access_la_OBJECTS) $(pam_access_la_LIBADD) $(LIBS)
  663. mostlyclean-compile:
  664. -rm -f *.$(OBJEXT)
  665. distclean-compile:
  666. -rm -f *.tab.c
  667. include ./$(DEPDIR)/pam_access.Plo # am--include-marker
  668. $(am__depfiles_remade):
  669. @$(MKDIR_P) $(@D)
  670. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  671. am--depfiles: $(am__depfiles_remade)
  672. .c.o:
  673. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  674. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  675. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  676. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  677. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  678. .c.obj:
  679. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  680. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  681. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  682. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  683. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  684. .c.lo:
  685. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  686. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  687. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  688. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  689. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  690. mostlyclean-libtool:
  691. -rm -f *.lo
  692. clean-libtool:
  693. -rm -rf .libs _libs
  694. install-man5: $(dist_man_MANS)
  695. @$(NORMAL_INSTALL)
  696. @list1=''; \
  697. list2='$(dist_man_MANS)'; \
  698. test -n "$(man5dir)" \
  699. && test -n "`echo $$list1$$list2`" \
  700. || exit 0; \
  701. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  702. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  703. { for i in $$list1; do echo "$$i"; done; \
  704. if test -n "$$list2"; then \
  705. for i in $$list2; do echo "$$i"; done \
  706. | sed -n '/\.5[a-z]*$$/p'; \
  707. fi; \
  708. } | while read p; do \
  709. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  710. echo "$$d$$p"; echo "$$p"; \
  711. done | \
  712. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  713. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  714. sed 'N;N;s,\n, ,g' | { \
  715. list=; while read file base inst; do \
  716. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  717. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  718. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  719. fi; \
  720. done; \
  721. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  722. while read files; do \
  723. test -z "$$files" || { \
  724. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  725. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  726. done; }
  727. uninstall-man5:
  728. @$(NORMAL_UNINSTALL)
  729. @list=''; test -n "$(man5dir)" || exit 0; \
  730. files=`{ for i in $$list; do echo "$$i"; done; \
  731. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  732. sed -n '/\.5[a-z]*$$/p'; \
  733. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  734. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  735. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  736. install-man8: $(dist_man_MANS)
  737. @$(NORMAL_INSTALL)
  738. @list1=''; \
  739. list2='$(dist_man_MANS)'; \
  740. test -n "$(man8dir)" \
  741. && test -n "`echo $$list1$$list2`" \
  742. || exit 0; \
  743. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  744. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  745. { for i in $$list1; do echo "$$i"; done; \
  746. if test -n "$$list2"; then \
  747. for i in $$list2; do echo "$$i"; done \
  748. | sed -n '/\.8[a-z]*$$/p'; \
  749. fi; \
  750. } | while read p; do \
  751. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  752. echo "$$d$$p"; echo "$$p"; \
  753. done | \
  754. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  755. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  756. sed 'N;N;s,\n, ,g' | { \
  757. list=; while read file base inst; do \
  758. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  759. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  760. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  761. fi; \
  762. done; \
  763. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  764. while read files; do \
  765. test -z "$$files" || { \
  766. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  767. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  768. done; }
  769. uninstall-man8:
  770. @$(NORMAL_UNINSTALL)
  771. @list=''; test -n "$(man8dir)" || exit 0; \
  772. files=`{ for i in $$list; do echo "$$i"; done; \
  773. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  774. sed -n '/\.8[a-z]*$$/p'; \
  775. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  776. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  777. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  778. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  779. @$(NORMAL_INSTALL)
  780. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  781. if test -n "$$list"; then \
  782. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  783. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  784. fi; \
  785. for p in $$list; do \
  786. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  787. echo "$$d$$p"; \
  788. done | $(am__base_list) | \
  789. while read files; do \
  790. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  791. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  792. done
  793. uninstall-dist_secureconfDATA:
  794. @$(NORMAL_UNINSTALL)
  795. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  796. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  797. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  798. ID: $(am__tagged_files)
  799. $(am__define_uniq_tagged_files); mkid -fID $$unique
  800. tags: tags-am
  801. TAGS: tags
  802. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  803. set x; \
  804. here=`pwd`; \
  805. $(am__define_uniq_tagged_files); \
  806. shift; \
  807. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  808. test -n "$$unique" || unique=$$empty_fix; \
  809. if test $$# -gt 0; then \
  810. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  811. "$$@" $$unique; \
  812. else \
  813. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  814. $$unique; \
  815. fi; \
  816. fi
  817. ctags: ctags-am
  818. CTAGS: ctags
  819. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  820. $(am__define_uniq_tagged_files); \
  821. test -z "$(CTAGS_ARGS)$$unique" \
  822. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  823. $$unique
  824. GTAGS:
  825. here=`$(am__cd) $(top_builddir) && pwd` \
  826. && $(am__cd) $(top_srcdir) \
  827. && gtags -i $(GTAGS_ARGS) "$$here"
  828. cscopelist: cscopelist-am
  829. cscopelist-am: $(am__tagged_files)
  830. list='$(am__tagged_files)'; \
  831. case "$(srcdir)" in \
  832. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  833. *) sdir=$(subdir)/$(srcdir) ;; \
  834. esac; \
  835. for i in $$list; do \
  836. if test -f "$$i"; then \
  837. echo "$(subdir)/$$i"; \
  838. else \
  839. echo "$$sdir/$$i"; \
  840. fi; \
  841. done >> $(top_builddir)/cscope.files
  842. distclean-tags:
  843. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  844. # Recover from deleted '.trs' file; this should ensure that
  845. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  846. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  847. # to avoid problems with "make -n".
  848. .log.trs:
  849. rm -f $< $@
  850. $(MAKE) $(AM_MAKEFLAGS) $<
  851. # Leading 'am--fnord' is there to ensure the list of targets does not
  852. # expand to empty, as could happen e.g. with make check TESTS=''.
  853. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  854. am--force-recheck:
  855. @:
  856. $(TEST_SUITE_LOG): $(TEST_LOGS)
  857. @$(am__set_TESTS_bases); \
  858. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  859. redo_bases=`for i in $$bases; do \
  860. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  861. done`; \
  862. if test -n "$$redo_bases"; then \
  863. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  864. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  865. if $(am__make_dryrun); then :; else \
  866. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  867. fi; \
  868. fi; \
  869. if test -n "$$am__remaking_logs"; then \
  870. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  871. "recursion detected" >&2; \
  872. elif test -n "$$redo_logs"; then \
  873. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  874. fi; \
  875. if $(am__make_dryrun); then :; else \
  876. st=0; \
  877. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  878. for i in $$redo_bases; do \
  879. test -f $$i.trs && test -r $$i.trs \
  880. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  881. test -f $$i.log && test -r $$i.log \
  882. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  883. done; \
  884. test $$st -eq 0 || exit 1; \
  885. fi
  886. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  887. ws='[ ]'; \
  888. results=`for b in $$bases; do echo $$b.trs; done`; \
  889. test -n "$$results" || results=/dev/null; \
  890. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  891. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  892. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  893. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  894. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  895. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  896. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  897. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  898. success=true; \
  899. else \
  900. success=false; \
  901. fi; \
  902. br='==================='; br=$$br$$br$$br$$br; \
  903. result_count () \
  904. { \
  905. if test x"$$1" = x"--maybe-color"; then \
  906. maybe_colorize=yes; \
  907. elif test x"$$1" = x"--no-color"; then \
  908. maybe_colorize=no; \
  909. else \
  910. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  911. fi; \
  912. shift; \
  913. desc=$$1 count=$$2; \
  914. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  915. color_start=$$3 color_end=$$std; \
  916. else \
  917. color_start= color_end=; \
  918. fi; \
  919. echo "$${color_start}# $$desc $$count$${color_end}"; \
  920. }; \
  921. create_testsuite_report () \
  922. { \
  923. result_count $$1 "TOTAL:" $$all "$$brg"; \
  924. result_count $$1 "PASS: " $$pass "$$grn"; \
  925. result_count $$1 "SKIP: " $$skip "$$blu"; \
  926. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  927. result_count $$1 "FAIL: " $$fail "$$red"; \
  928. result_count $$1 "XPASS:" $$xpass "$$red"; \
  929. result_count $$1 "ERROR:" $$error "$$mgn"; \
  930. }; \
  931. { \
  932. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  933. $(am__rst_title); \
  934. create_testsuite_report --no-color; \
  935. echo; \
  936. echo ".. contents:: :depth: 2"; \
  937. echo; \
  938. for b in $$bases; do echo $$b; done \
  939. | $(am__create_global_log); \
  940. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  941. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  942. if $$success; then \
  943. col="$$grn"; \
  944. else \
  945. col="$$red"; \
  946. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  947. fi; \
  948. echo "$${col}$$br$${std}"; \
  949. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  950. echo "$${col}$$br$${std}"; \
  951. create_testsuite_report --maybe-color; \
  952. echo "$$col$$br$$std"; \
  953. if $$success; then :; else \
  954. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  955. if test -n "$(PACKAGE_BUGREPORT)"; then \
  956. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  957. fi; \
  958. echo "$$col$$br$$std"; \
  959. fi; \
  960. $$success || exit 1
  961. check-TESTS: $(dist_check_SCRIPTS)
  962. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  963. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  964. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  965. @set +e; $(am__set_TESTS_bases); \
  966. log_list=`for i in $$bases; do echo $$i.log; done`; \
  967. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  968. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  969. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  970. exit $$?;
  971. recheck: all $(dist_check_SCRIPTS)
  972. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  973. @set +e; $(am__set_TESTS_bases); \
  974. bases=`for i in $$bases; do echo $$i; done \
  975. | $(am__list_recheck_tests)` || exit 1; \
  976. log_list=`for i in $$bases; do echo $$i.log; done`; \
  977. log_list=`echo $$log_list`; \
  978. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  979. am__force_recheck=am--force-recheck \
  980. TEST_LOGS="$$log_list"; \
  981. exit $$?
  982. tst-pam_access.log: tst-pam_access
  983. @p='tst-pam_access'; \
  984. b='tst-pam_access'; \
  985. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  986. --log-file $$b.log --trs-file $$b.trs \
  987. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  988. "$$tst" $(AM_TESTS_FD_REDIRECT)
  989. .test.log:
  990. @p='$<'; \
  991. $(am__set_b); \
  992. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  993. --log-file $$b.log --trs-file $$b.trs \
  994. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  995. "$$tst" $(AM_TESTS_FD_REDIRECT)
  996. #.test$(EXEEXT).log:
  997. # @p='$<'; \
  998. # $(am__set_b); \
  999. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1000. # --log-file $$b.log --trs-file $$b.trs \
  1001. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1002. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  1003. distdir: $(BUILT_SOURCES)
  1004. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1005. distdir-am: $(DISTFILES)
  1006. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1007. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1008. list='$(DISTFILES)'; \
  1009. dist_files=`for file in $$list; do echo $$file; done | \
  1010. sed -e "s|^$$srcdirstrip/||;t" \
  1011. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1012. case $$dist_files in \
  1013. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1014. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1015. sort -u` ;; \
  1016. esac; \
  1017. for file in $$dist_files; do \
  1018. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1019. if test -d $$d/$$file; then \
  1020. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1021. if test -d "$(distdir)/$$file"; then \
  1022. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1023. fi; \
  1024. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1025. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1026. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1027. fi; \
  1028. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1029. else \
  1030. test -f "$(distdir)/$$file" \
  1031. || cp -p $$d/$$file "$(distdir)/$$file" \
  1032. || exit 1; \
  1033. fi; \
  1034. done
  1035. check-am: all-am
  1036. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1037. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1038. check: check-am
  1039. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1040. installdirs:
  1041. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"; do \
  1042. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1043. done
  1044. install: install-am
  1045. install-exec: install-exec-am
  1046. install-data: install-data-am
  1047. uninstall: uninstall-am
  1048. install-am: all-am
  1049. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1050. installcheck: installcheck-am
  1051. install-strip:
  1052. if test -z '$(STRIP)'; then \
  1053. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1054. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1055. install; \
  1056. else \
  1057. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1058. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1059. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1060. fi
  1061. mostlyclean-generic:
  1062. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1063. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1064. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1065. clean-generic:
  1066. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1067. distclean-generic:
  1068. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1069. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1070. maintainer-clean-generic:
  1071. @echo "This command is intended for maintainers to use"
  1072. @echo "it deletes files that may require special tools to rebuild."
  1073. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1074. clean: clean-am
  1075. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1076. mostlyclean-am
  1077. distclean: distclean-am
  1078. -rm -f ./$(DEPDIR)/pam_access.Plo
  1079. -rm -f Makefile
  1080. distclean-am: clean-am distclean-compile distclean-generic \
  1081. distclean-tags
  1082. dvi: dvi-am
  1083. dvi-am:
  1084. html: html-am
  1085. html-am:
  1086. info: info-am
  1087. info-am:
  1088. install-data-am: install-dist_secureconfDATA install-man \
  1089. install-securelibLTLIBRARIES
  1090. install-dvi: install-dvi-am
  1091. install-dvi-am:
  1092. install-exec-am:
  1093. install-html: install-html-am
  1094. install-html-am:
  1095. install-info: install-info-am
  1096. install-info-am:
  1097. install-man: install-man5 install-man8
  1098. install-pdf: install-pdf-am
  1099. install-pdf-am:
  1100. install-ps: install-ps-am
  1101. install-ps-am:
  1102. installcheck-am:
  1103. maintainer-clean: maintainer-clean-am
  1104. -rm -f ./$(DEPDIR)/pam_access.Plo
  1105. -rm -f Makefile
  1106. maintainer-clean-am: distclean-am maintainer-clean-generic
  1107. mostlyclean: mostlyclean-am
  1108. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1109. mostlyclean-libtool
  1110. pdf: pdf-am
  1111. pdf-am:
  1112. ps: ps-am
  1113. ps-am:
  1114. uninstall-am: uninstall-dist_secureconfDATA uninstall-man \
  1115. uninstall-securelibLTLIBRARIES
  1116. uninstall-man: uninstall-man5 uninstall-man8
  1117. .MAKE: check-am install-am install-strip
  1118. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1119. check-am clean clean-generic clean-libtool \
  1120. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1121. distclean distclean-compile distclean-generic \
  1122. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1123. html-am info info-am install install-am install-data \
  1124. install-data-am install-dist_secureconfDATA install-dvi \
  1125. install-dvi-am install-exec install-exec-am install-html \
  1126. install-html-am install-info install-info-am install-man \
  1127. install-man5 install-man8 install-pdf install-pdf-am \
  1128. install-ps install-ps-am install-securelibLTLIBRARIES \
  1129. install-strip installcheck installcheck-am installdirs \
  1130. maintainer-clean maintainer-clean-generic mostlyclean \
  1131. mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
  1132. pdf pdf-am ps ps-am recheck tags tags-am uninstall \
  1133. uninstall-am uninstall-dist_secureconfDATA uninstall-man \
  1134. uninstall-man5 uninstall-man8 uninstall-securelibLTLIBRARIES
  1135. .PRECIOUS: Makefile
  1136. #-include $(top_srcdir)/Make.xml.rules
  1137. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1138. # Otherwise a system limit (for SysV at least) may be exceeded.
  1139. .NOEXPORT: